CrossCorr <-
function (startX, endX, Avg=1, lum=4, sizePts=2, binPts=15,myData1,myData2,fileName,Span, Increment) {
#  starting column, ending column, Average or Individual, #minutes between points, # points to bin, # minutes/unit (usually day)
# require delftfews, chron, zoo?
  #require(delftfews)
  modulo = 1440
  startData1 <-1
  startData2 <-1
  
  CatBins1<-CatBin(startX, endX, Avg, lum, sizePts, binPts,modulo, 1, myData1)
  CatBins2<-CatBin(startX, endX, Avg, lum, sizePts, binPts,modulo, 1, myData2)
  # returns newMinPerBin,dataPts,binsPerDay,dayPts,dayCnt,animals, endData, DataList,plotCnt
  
  DataList1<-CatBins1$DataList
  DataList2<-CatBins2$DataList
  startDark <-as.character(format(as.POSIXct(myData1[startData1,1], origin="1970-01-01",tz="GMT"),"%H:%M:%S"))    #  get index of first darkness value
  op<-par()
  thisTime <- format(Sys.time(), "%b %d, %Y - %H:%M:%S");
  nameVector <- paste(" ",names(myData1),sep=" ")
  nameVector2 <- paste(" ",names(myData2),sep=" ")

for (cnt in 1:CatBins1$plotCnt) {      #  1 plot per animal, for all animals 
  par(mfrow=c(2,1), oma = c(2,0,0,0)) 
  MaxLag <- (CatBins1$dataPts/binPts)*.33
	getCCF <- ccf(DataList1[cnt,],DataList2[cnt,],main="",lag.max = MaxLag,xlab = "",ylab="CCF")
  # Default is 10*log10(N/m) where N is the number of observations and m the number of series. 
  # Will be automatically limited to one less than the number of observations in the series.

  maxCheck <- CatBins1$dayPts/2
	periodPt <- which.max(getCCF$acf[]) 
  #getCCF$lag[periodPt]

  hrsPerPeriod <- (periodPt/CatBins1$binsPerDay)*24
    if (Avg)  {    
        title(paste('Avg of',CatBins1$animals,'- Animals: ',nameVector[startX],'-',nameVector[endX],";",nameVector2[startX],'-',nameVector2[endX],'\n',myData2[startData2,1],'--',myData2[CatBins2$endData,1],'\nvs baseline',myData1[startData1,1],'--',myData1[CatBins1$endData,1]),cex=.6,xlab = paste("Max Lag = ",MaxLag,'; Phase offset:',getCCF$lag[periodPt],' bins, ',getCCF$lag[periodPt]*CatBins1$newMinPerBin/60,' hr'))
    } else {
        title(paste('Animal -',cnt,': ',nameVector[cnt+3],";",nameVector2[cnt+3],'\n',myData2[startData2,1],'--',myData2[CatBins2$endData,1],'\nvs baseline',myData1[startData1,1],'--',myData1[CatBins1$endData,1]),cex=.6,xlab = paste("Max Lag = ",MaxLag,'; Phase offset:',getCCF$lag[periodPt],' bins, ',getCCF$lag[periodPt]*CatBins1$newMinPerBin/60,' hr'))
    }  # add file name, add info on 2nd data set?
  
	getCCFvar <- ccf(DataList1[cnt,],DataList2[cnt,],type="covariance",lag.max = MaxLag,main="",sub=paste('Total bins: ',CatBins1$dataPts/binPts,';     pts/bin: ',binPts,'(',CatBins1$newMinPerBin,'mins);     bins/day: ',CatBins1$binsPerDay),cex=.5,xlab="",ylab="CCF (cov)")
  periodPt <- which.max(getCCF$acf[])
  #print(summary(getCCF))
  #browser()
  hrsPerPeriod <- (periodPt/CatBins1$binsPerDay)*24
  #getCCF$lag[periodPt]
  title(xlab = paste("Max Lag = ",MaxLag,'; Phase offset:',getCCF$lag[periodPt],' bins, ',getCCF$lag[periodPt]*CatBins1$newMinPerBin/60,' hr'),line=2)
  #mtext(thisTime,side=1,line = 5, cex =.8, adj=.8)
  mtext(paste("Span:",Span," Inc:",Increment),side=1,line = 5, cex =.8, adj=.1)
  mtext(paste(fileName,"   ",thisTime),side=1,line = 5, cex =.8, adj=.9)

}  # end for (cnt in 1:CatBins1$plotCnt)
  par(op)
end
}
